%define upstream_name    Redis
%define upstream_version 1.982

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Redis Sentinel interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::Timeout) >= 0.290.0
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Test::TCP) >= 1.190.0
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Pure perl bindings for the http://redis.io/ manpage

This version supports protocol 2.x (multi-bulk) or later of Redis available
at the https://github.com/antirez/redis/ manpage.

This documentation lists commands which are exercised in test suite, but
additional commands will work correctly since protocol specifies enough
information to support almost all commands with same piece of code with a
little help of 'AUTOLOAD'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.982.0-2.mga6
+ Revision: 1032723
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.982.0-1.mga6
+ Revision: 1002289
- update to 1.982

* Sat Feb 20 2016 umeabot <umeabot> 1.981.0-2.mga6
+ Revision: 971334
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.981.0-1.mga6
+ Revision: 891523
- update to 1.981

* Sun Sep 06 2015 sander85 <sander85> 1.980.0-1.mga6
+ Revision: 873594
- update to 1.980

* Wed Jul 08 2015 sander85 <sander85> 1.979.0-1.mga6
+ Revision: 852938
- update to 1.979

* Sun Oct 19 2014 pterjan <pterjan> 1.976.0-1.mga5
+ Revision: 791886
- imported package perl-Redis


* Sun Oct 19 2014 cpan2dist 1.976-1mga
- initial mageia release, generated with cpan2dist
